Poisson Distributions
Numerics » Random Number Generation » Random Number Distributions
Collaboration diagram for Poisson Distributions:

## Classes

class | std::discrete_distribution< _IntType >
class | std::exponential_distribution< _RealType >
class | std::extreme_value_distribution< _RealType >
class | std::piecewise_constant_distribution< _RealType >
class | std::piecewise_linear_distribution< _RealType >
class | std::poisson_distribution< _IntType >
class | std::weibull_distribution< _RealType >

## Functions

template<typename _IntType >
bool | std::operator!= (const std::poisson_distribution< _IntType > &__d1, const std::poisson_distribution< _IntType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::exponential_distribution< _RealType > &__d1, const std::exponential_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::weibull_distribution< _RealType > &__d1, const std::weibull_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::extreme_value_distribution< _RealType > &__d1, const std::extreme_value_distribution< _RealType > &__d2)
template<typename _IntType >
bool | std::operator!= (const std::discrete_distribution< _IntType > &__d1, const std::discrete_distribution< _IntType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::piecewise_constant_distribution< _RealType > &__d1, const std::piecewise_constant_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::piecewise_linear_distribution< _RealType > &__d1, const std::piecewise_linear_distribution< _RealType > &__d2)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::exponential_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::weibull_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::extreme_value_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::exponential_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::weibull_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::extreme_value_distribution< _RealType > &__x)

## Detailed Description

## Function Documentation

## operator!=() [1/7]

template<typename _IntType >

bool std::operator!= | ( | const std::poisson_distribution< _IntType > & | __d1,
|  | const std::poisson_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two Poisson distributions are different.

Definition at line 4460 of file random.h.

## operator!=() [2/7]

template<typename _RealType >

bool std::operator!= | ( | const std::exponential_distribution< _RealType > & | __d1,
|  | const std::exponential_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two exponential distributions have different parameters.

Definition at line 4638 of file random.h.

References std::__detail::operator>>().

## operator!=() [3/7]

template<typename _RealType >

bool std::operator!= | ( | const std::weibull_distribution< _RealType > & | __d1,
|  | const std::weibull_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two Weibull distributions have different parameters.

Definition at line 4841 of file random.h.

References std::__detail::operator>>().

## operator!=() [4/7]

template<typename _RealType >

bool std::operator!= | ( | const std::extreme_value_distribution< _RealType > & | __d1,
|  | const std::extreme_value_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two extreme value distributions have different parameters.

Definition at line 5044 of file random.h.

References std::__detail::operator>>().

## operator!=() [5/7]

template<typename _IntType >

bool std::operator!= | ( | const std::discrete_distribution< _IntType > & | __d1,
|  | const std::discrete_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two discrete distributions have different parameters.

Definition at line 5304 of file random.h.

## operator!=() [6/7]

template<typename _RealType >

bool std::operator!= | ( | const std::piecewise_constant_distribution< _RealType > & | __d1,
|  | const std::piecewise_constant_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two piecewise constant distributions have different parameters.

Definition at line 5571 of file random.h.

## operator!=() [7/7]

template<typename _RealType >

bool std::operator!= | ( | const std::piecewise_linear_distribution< _RealType > & | __d1,
|  | const std::piecewise_linear_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two piecewise linear distributions have different parameters.

Definition at line 5841 of file random.h.

## operator<<() [1/3]

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::exponential_distribution< _RealType > & | __x
| ) |  |

Inserts a exponential_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A exponential_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 1731 of file bits/random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

## operator<<() [2/3]

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::weibull_distribution< _RealType > & | __x
| ) |  |

Inserts a weibull_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A weibull_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2522 of file bits/random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

## operator<<() [3/3]

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::extreme_value_distribution< _RealType > & | __x
| ) |  |

Inserts a extreme_value_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A extreme_value_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2598 of file bits/random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

## operator>>() [1/3]

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::exponential_distribution< _RealType > & | __x
| ) |  |

Extracts a exponential_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A exponential_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 1754 of file bits/random.tcc.

References std::dec(), std::ios_base::flags(), std::normal_distribution< _RealType >::operator()(), std::exponential_distribution< _RealType >::param(), and std::skipws().

## operator>>() [2/3]

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::weibull_distribution< _RealType > & | __x
| ) |  |

Extracts a weibull_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A weibull_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 2546 of file bits/random.tcc.

References std::dec(), std::ios_base::flags(), std::log(), std::extreme_value_distribution< _RealType >::operator()(), std::weibull_distribution< _RealType >::param(), and std::skipws().

## operator>>() [3/3]

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::extreme_value_distribution< _RealType > & | __x
| ) |  |

Extracts a extreme_value_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A extreme_value_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 2622 of file bits/random.tcc.

References std::accumulate(), std::back_inserter(), std::dec(), std::ios_base::flags(), std::lower_bound(), std::discrete_distribution< _IntType >::operator()(), std::extreme_value_distribution< _RealType >::param(), std::partial_sum(), and std::skipws().